<?php
session_start();      // mengaktifkan session

// pengecekan session login user 
// jika user belum login
if (empty($_SESSION['username']) && empty($_SESSION['password'])) {
  // alihkan ke halaman login dan tampilkan pesan peringatan login
  header('location: ../../login.php?pesan=2');
}
// jika user sudah login, maka jalankan perintah untuk update
else {
  // panggil file "database.php" untuk koneksi ke database
  require_once "../../config/database.php";

  // mengecek data hasil submit dari form
  if (isset($_POST['simpan'])) {
    // ambil data hasil submit dari form
    $id_pekerjaan   = mysqli_real_escape_string($mysqli, $_POST['id_pekerjaan']);
    $nama_pekerjaan = mysqli_real_escape_string($mysqli, trim($_POST['nama_pekerjaan']));
    $kategori          = mysqli_real_escape_string($mysqli, $_POST['kategori']);

    // mengecek "nama_kategori" dan "tipe" untuk mencegah data duplikat
    // sql statement untuk menampilkan data dari tabel "tbl_kategori" berdasarkan input "nama_kategori" dan "tipe"
    $query = mysqli_query($mysqli, "SELECT nama_pekerjaan, kategori_id FROM tbl_pekerjaan 
                                    WHERE nama_pekerjaan='$nama_pekerjaan' AND kategori_id='$kategori' AND id_pekerjaan!='$id_pekerjaan'")
                                    or die('Ada kesalahan pada query tampil data : ' . mysqli_error($mysqli));
    // ambil jumlah baris data hasil query
    $rows = mysqli_num_rows($query);

    // cek hasil query
    // jika "nama_pekerjaan" dan "pekerjaan" sudah ada di tabel "tbl_pekerjaan"
    if ($rows <> 0) {
      // alihkan ke halaman pekerjaan dan tampilkan pesan gagal simpan data
      header("location: ../../main.php?module=pekerjaan&pesan=4&nama_pekerjaan=$nama_pekerjaan&kategori_id=$kategori");
    }
    // jika "nama_pekerjaan" dan "kategori_id" belum ada di tabel "tbl_kategori"
    else {
      // sql statement untuk update data di tabel "tbl_pekerjaan" berdasarkan "id_pekerjaan"
      $update = mysqli_query($mysqli, "UPDATE tbl_pekerjaan
                                       SET nama_pekerjaan='$nama_pekerjaan', kategori_id='$kategori'
                                       WHERE id_pekerjaan='$id_pekerjaan'")
                                       or die('Ada kesalahan pada query update : ' . mysqli_error($mysqli));
      // cek query
      // jika proses update berhasil
      if ($update) {
        // alihkan ke halaman pekerjaan dan tampilkan pesan berhasil ubah data
        header('location: ../../main.php?module=pekerjaan&pesan=2');
      }
    }
  }
}
